Android ADB emerge fails on amd64

classic Classic list List threaded Threaded
10 messages Options
Reply | Threaded
Open this post in threaded view
|

Android ADB emerge fails on amd64

malloc1337
Hi all,

I'm trying to install the Android Tools to use "adb" with my phone on
gentoo.

When I try to install android-sdk-update-manager it fails on compiling
its dependency dev-java/swt-3.7.2-r2.

The output of "emerge --info '=dev-java/swt-3.7.2-r2::gentoo'":

---------------------------------------------------------------------------------------------------------------------------
Portage 2.3.51 (python 2.7.15-final-0, default/linux/amd64/17.0/desktop, gcc-7.3.0, glibc-2.27-r6, 4.14.83-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.14.83-gentoo-x86_64-Intel-R-_Core-TM-_i7-8550U_CPU_@_1.80GHz-with-gentoo-2.6
KiB Mem:    16383972 total,  12908064 free
KiB Swap:   18874364 total,  18874364 free
Timestamp of repository gentoo: Tue, 29 Jan 2019 00:45:01 +0000
Head commit of repository gentoo: 5abb0c321f4fb572f4b3ab7cb7a4418b6dc11699
Head commit of repository sakaki-tools: df5b210704a49d66fca210509456b3809bab4716

Head commit of repository tlp: c1512b6f94c4780791a0cd7ab50eb3fb4f1003b2

sh bash 4.4_p23-r1
ld GNU ld (Gentoo 2.30 p5) 2.30.0
app-shells/bash:          4.4_p23-r1::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.26.2::gentoo
dev-lang/python:          2.7.15::gentoo, 3.6.5::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.38.3-r1::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.13.4-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.30-r4::gentoo
sys-devel/gcc:            7.3.0-r3::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.14-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.27-r6::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: no
    sync-rsync-extra-opts:
    sync-rsync-verify-max-age: 24

sakaki-tools
    location: /var/db/repos/sakaki-tools
    sync-type: git
    sync-uri: https://github.com/sakaki-/sakaki-tools.git
    masters: gentoo

tlp
    location: /var/db/repos/tlp
    sync-type: git
    sync-uri: https://github.com/dywisor/tlp-portage.git
    masters: gentoo

ABI="amd64"
ABI_X86="64"
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
ACCEPT_PROPERTIES="*"
ACCEPT_RESTRICT="*"
ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci"
ANT_HOME="/usr/share/ant"
APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias"
ARCH="amd64"
AUTOCLEAN="yes"
BOOTSTRAP_USE="cxx unicode internal-glib split-usr python_targets_python3_6 python_targets_python2_7 multilib"
BROOT=""
BROWSER="qutebrowser"
CACERTS="/etc/ssl/certs/ca-certificates.crt"
CALLIGRA_FEATURES="karbon sheets words"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CFLAGS_amd64="-m64"
CFLAGS_x32="-mx32"
CFLAGS_x86="-m32"
CHOST="x86_64-pc-linux-gnu"
CHOST_amd64="x86_64-pc-linux-gnu"
CHOST_x32="x86_64-pc-linux-gnux32"
CHOST_x86="i686-pc-linux-gnu"
CLEAN_DELAY="5"
COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog"
COLLISION_IGNORE="/lib/modules/*"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3"
CXXFLAGS="-march=native -O2 -pipe"
DBUS_SESSION_BUS_ADDRESS="unix:abstract=/tmp/dbus-AUcRrRoaAY,guid=bcd2ad10087a56e255bd079c5c50385b"
DEFAULT_ABI="amd64"
DESKTOP_STARTUP_ID="i3/i3-sensible-terminal/4651-10-mars_TIME1717920"
DISPLAY=":0.0"
DISTDIR="/usr/portage/distfiles"
DOUSE="acl alsa bash-completion branding cleartype consolekit corefonts dbus drm fontconfig        cups glamor gpm ncurses policykit pulseaudio ssh threads truetype udev udisks upower        unicode v4l v4l2 vaapi vim-pager vim-syntax vulkan xft xinerama zsh-completion"
EDITOR="vi"
ELIBC="glibc"
EMERGE_DEFAULT_OPTS="--jobs=9 --load-average=8 --ask --ask-enter-invalid --verbose --tree"
EMERGE_WARNING_DELAY="10"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
EPREFIX=""
EROOT="/"
ESYSROOT="/"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg candy config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms split-elog splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync webrsync-gpg xattr"
FETCHCOMMAND="wget -t 3 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
FETCHCOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
FETCHCOMMAND_SFTP="bash -c "x=\${2#sftp://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port= ; eval \"declare -a ssh_opts=(\${3})\" ; exec sftp \${port:+-P \${port}} \"\${ssh_opts[@]}\" \"\${host}:/\${x#*/}\" \"\$1\"" sftp "${DISTDIR}/${FILE}" "${URI}" "${PORTAGE_SSH_OPTS}""
FETCHCOMMAND_SSH="bash -c "x=\${2#ssh://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port= ; exec rsync --rsh=\"ssh \${port:+-p\${port}} \${3}\" -avP \"\${host}:/\${x#*/}\" \"\$1\"" rsync "${DISTDIR}/${FILE}" "${URI}" "${PORTAGE_SSH_OPTS}""
FFLAGS="-O2 -pipe"
FLTK_DOCDIR="/usr/share/doc/fltk-1.3.3-r3/html"
GCC_SPECS=""
GENTOO_MIRRORS="http://mirror.eu.oneandone.net/linux/distributions/gentoo/gentoo/ http://mirror.netcologne.de/gentoo/ http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ http://ftp.halifax.rwth-aachen.de/gentoo/ http://ftp.fau.de/gentoo http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/"
GPG_AGENT_INFO="started"
GPG_TTY="/dev/pts/5"
GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx"
GRUB_PLATFORMS=""
GSETTINGS_BACKEND="dconf"
GTK_MODULES="canberra-gtk-module"
HOME="/home/m4110c"
INFOPATH="/usr/share/gcc-data/x86_64-pc-linux-gnu/7.3.0/info:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.30/info:/usr/share/info"
INPUT_DEVICES="synaptics libinput"
IUSE_IMPLICIT="abi_x86_64 prefix prefix-chain prefix-guest"
JAVAC="/etc/java-config-2/current-system-vm/bin/javac"
JAVA_HOME="/etc/java-config-2/current-system-vm"
JDK_HOME="/etc/java-config-2/current-system-vm"
KERNEL="linux"
L10N="de en"
LANG="en_US.utf8"
LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text"
LC_COLLATE="C"
LC_MESSAGES="C"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LDFLAGS_amd64="-m elf_x86_64"
LDFLAGS_x32="-m elf32_x86_64"
LDFLAGS_x86="-m elf_i386"
LESS="-R -M --shift 5"
LESSOPEN="|lesspipe %s"
LIBDIR_amd64="lib64"
LIBDIR_x32="libx32"
LIBDIR_x86="lib32"
LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer"
LOGNAME="m4110c"
LS_COLORS="rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=01;05;37;41:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arc=01;31:*.arj=01;31:*.taz=01;31:*.lha=01;31:*.lz4=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.tzo=01;31:*.t7z=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lrz=01;31:*.lz=01;31:*.lzo=01;31:*.xz=01;31:*.zst=01;31:*.tzst=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.alz=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.cab=01;31:*.wim=01;31:*.swm=01;31:*.dwm=01;31:*.esd=01;31:*.jpg=01;35:*.jpeg=01;35:*.mjpg=01;35:*.mjpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.webm=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.ogv=01;35:*.ogx=01;35:*.cfg=00;32:*.conf=00;32:*.diff=00;32:*.doc=00;32:*.ini=00;32:*.log=00;32:*.patch=00;32:*.pdf=00;32:*.ps=00;32:*.tex=00;32:*.txt=00;32:*.aac=00;36:*.au=00;36:*.flac=00;36:*.m4a=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.oga=00;36:*.opus=00;36:*.spx=00;36:*.xspf=00;36:"
MAIL="/var/mail/m4110c"
MAKEOPTS="-j9 -l8"
MANPAGER="manpager"
MANPATH="/etc/java-config-2/current-system-vm/man:/usr/share/gcc-data/x86_64-pc-linux-gnu/7.3.0/man:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.30/man:/usr/lib/llvm/6/share/man:/etc/java-config-2/current-system-vm/man/:/usr/local/share/man:/usr/share/man"
MICROCODE_SIGNATURES="-S"
MULTILIB_ABIS="amd64 x86"
MULTILIB_STRICT_DENY="64-bit.*shared object"
MULTILIB_STRICT_DIRS="/lib32 /lib /usr/lib32 /usr/lib /usr/kde/*/lib32 /usr/kde/*/lib /usr/qt/*/lib32 /usr/qt/*/lib /usr/X11R6/lib32 /usr/X11R6/lib"
MULTILIB_STRICT_EXEMPT="(perl5|gcc|gcc-lib|binutils|eclipse-3|debug|portage|udev|systemd|clang|python-exec|llvm)"
NETBEANS="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml"
NOCOLOR="true"
NOUSE="-gnome -kde -ldap -systemd -wayland"
OFFICE_IMPLEMENTATION="libreoffice"
OLDPWD="/usr/portage/dev-java/oracle-jdk-bin"
OPENGL_PROFILE="xorg-x11"
PAGER="/usr/bin/less"
PASSWORD_STORE_CHARACTER_SET="A-Za-z0-9!()/&!#$%"
PATH="/home/m4110c/bin:/usr/lib/llvm/6/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin"
PHP_TARGETS="php5-6 php7-1"
PKGDIR="/usr/portage/packages"
PORTAGE_ARCHLIST="alpha amd64 amd64-fbsd amd64-linux arm arm-linux arm64 arm64-linux hppa ia64 m68k m68k-mint mips ppc ppc-aix ppc-macos ppc64 ppc64-linux s390 sh sparc sparc-solaris sparc64-solaris x64-cygwin x64-macos x64-solaris x86 x86-cygwin x86-fbsd x86-linux x86-macos x86-solaris x86-winnt"
PORTAGE_BIN_PATH="/usr/lib/portage/python2.7"
PORTAGE_COMPRESS_EXCLUDE_SUFFIXES="css gif htm[l]? jp[e]?g js pdf png"
PORTAGE_CONFIGROOT="/"
PORTAGE_DEBUG="0"
PORTAGE_DEPCACHEDIR="/var/cache/edb/dep"
PORTAGE_ELOG_CLASSES="info warn error log qa"
PORTAGE_ELOG_MAILFROM="portage@localhost"
PORTAGE_ELOG_MAILSUBJECT="[portage] ebuild log for ${PACKAGE} on ${HOST}"
PORTAGE_ELOG_MAILURI="root"
PORTAGE_ELOG_SYSTEM="echo save"
PORTAGE_FETCH_CHECKSUM_TRY_MIRRORS="5"
PORTAGE_FETCH_RESUME_MIN_SIZE="350K"
PORTAGE_GID="250"
PORTAGE_GPG_DIR="/var/lib/gentoo/gkeys/keyrings/gentoo/release"
PORTAGE_GPG_SIGNING_COMMAND="gpg --sign --digest-algo SHA256 --clearsign --yes --default-key "${PORTAGE_GPG_KEY}" --homedir "${PORTAGE_GPG_DIR}" "${FILE}""
PORTAGE_INST_GID="0"
PORTAGE_INST_UID="0"
PORTAGE_INTERNAL_CALLER="1"
PORTAGE_OVERRIDE_EPREFIX=""
PORTAGE_PYM_PATH="/usr/lib64/python2.7/site-packages"
PORTAGE_PYTHONPATH="/usr/lib64/python2.7/site-packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_RSYNC_RETRIES="-1"
PORTAGE_SYNC_STALE="30"
PORTAGE_TMPDIR="/var/tmp"
PORTAGE_VERBOSE="1"
PORTAGE_WORKDIR_MODE="0700"
PORTAGE_XATTR_EXCLUDE="btrfs.* security.evm security.ima security.selinux system.nfs4_acl user.apache_handler user.Beagle.* user.dublincore.* user.mime_encoding user.xdg.*"
PORT_LOGDIR_CLEAN="find "${PORT_LOGDIR}" -type f ! -name "summary.log*" -mtime +7 -delete"
POSTGRES_TARGETS="postgres9_5 postgres10"
PPID_FIRST="27094"
PROFILE_ONLY_VARIABLES="ARCH ELIBC IUSE_IMPLICIT KERNEL USERLAND USE_EXPAND_IMPLICIT USE_EXPAND_UNPREFIXED USE_EXPAND_VALUES_ARCH USE_EXPAND_VALUES_ELIBC USE_EXPAND_VALUES_KERNEL USE_EXPAND_VALUES_USERLAND"
PWD="/home/m4110c"
PYTHONDONTWRITEBYTECODE="1"
PYTHON_SINGLE_TARGET="python3_6"
PYTHON_TARGETS="python2_7 python3_6"
RESUMECOMMAND="wget -c -t 3 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
RESUMECOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
RESUMECOMMAND_SSH="bash -c "x=\${2#ssh://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port= ; exec rsync --rsh=\"ssh \${port:+-p\${port}} \${3}\" -avP \"\${host}:/\${x#*/}\" \"\$1\"" rsync "${DISTDIR}/${FILE}" "${URI}" "${PORTAGE_SSH_OPTS}""
ROOT="/"
ROOTPATH="/usr/lib/llvm/6/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin"
RPMDIR="/usr/portage/rpm"
RUBY_TARGETS="ruby24"
SHELL="/bin/zsh"
SHLVL="2"
SSH_AUTH_SOCK="/run/user/1000/gnupg/S.gpg-agent.ssh"
SSH_KEY_PATH="~/.ssh/rsa_id"
SYMLINK_LIB="yes"
SYSROOT="/"
TERM="st-256color"
TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE="1"
UNINSTALL_IGNORE="/lib/modules/* /var/run /var/lock"
USE="X a52 aac acl acpi alsa amd64 bash-completion berkdb bluetooth branding bzip2 cairo cdda cdr cleartype cli consolekit corefonts crypt cups cxx dbus dri drm dts dvd dvdr emboss encode exif fam flac fontconfig fortran gdbm gif glamor gpm gtk iconv ipv6 jpeg lcms libnotify libtirpc mad mng mp3 mp4 mpeg multilib ncurses nls nptl ogg opengl openmp pam pango pcre pdf png policykit ppds pulseaudio qt5 readline sdl seccomp spell ssh ssl startup-notification svg tcpd threads tiff truetype udev udisks unicode upower usb v4l v4l2 vaapi vim-pager vim-syntax vorbis vulkan wxwidgets x264 xattr xcb xft xinerama xml xv xvid zlib zsh-completion" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="synaptics libinput" KERNEL="linux" L10N="de en" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-1" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby24" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USER="m4110c"
USERLAND="GNU"
USE_EXPAND="ABI_MIPS ABI_PPC ABI_S390 ABI_X86 ALSA_CARDS APACHE2_MODULES APACHE2_MPMS CALLIGRA_FEATURES CAMERAS COLLECTD_PLUGINS CPU_FLAGS_ARM CPU_FLAGS_X86 CURL_SSL ELIBC ENLIGHTENMENT_MODULES FFTOOLS GPSD_PROTOCOLS GRUB_PLATFORMS INPUT_DEVICES KERNEL L10N LCD_DEVICES LIBREOFFICE_EXTENSIONS LIRC_DEVICES LLVM_TARGETS MONKEYD_PLUGINS NETBEANS_MODULES NGINX_MODULES_HTTP NGINX_MODULES_MAIL NGINX_MODULES_STREAM OFED_DRIVERS OFFICE_IMPLEMENTATION OPENMPI_FABRICS OPENMPI_OFED_FEATURES OPENMPI_RM PHP_TARGETS POSTGRES_TARGETS PYTHON_SINGLE_TARGET PYTHON_TARGETS QEMU_SOFTMMU_TARGETS QEMU_USER_TARGETS ROS_MESSAGES RUBY_TARGETS SANE_BACKENDS USERLAND UWSGI_PLUGINS VIDEO_CARDS VOICEMAIL_STORAGE XFCE_PLUGINS XTABLES_ADDONS"
USE_EXPAND_HIDDEN="ABI_MIPS ABI_PPC ABI_S390 CPU_FLAGS_ARM ELIBC KERNEL USERLAND"
USE_EXPAND_IMPLICIT="ARCH ELIBC KERNEL USERLAND"
USE_EXPAND_UNPREFIXED="ARCH"
USE_EXPAND_VALUES_ARCH="alpha amd64 amd64-fbsd amd64-linux arm arm64 hppa ia64 m68k m68k-mint mips ppc ppc64 ppc64-linux ppc-aix ppc-macos s390 sh sparc sparc64-solaris sparc-solaris x64-cygwin x64-macos x64-solaris x86 x86-cygwin x86-fbsd x86-linux x86-macos x86-solaris x86-winnt"
USE_EXPAND_VALUES_ELIBC="AIX bionic Cygwin Darwin DragonFly FreeBSD glibc HPUX Interix mingw mintlib musl NetBSD OpenBSD SunOS uclibc Winnt"
USE_EXPAND_VALUES_KERNEL="AIX Darwin FreeBSD freemint HPUX linux NetBSD OpenBSD SunOS Winnt"
USE_EXPAND_VALUES_USERLAND="BSD GNU"
USE_ORDER="env:pkg:conf:defaults:pkginternal:features:repo:env.d"
VBOX_APP_HOME="/usr/lib64/virtualbox"
VIDEO_CARDS="intel i965"
VISUAL="/usr/bin/vi"
WINDOWID="44040198"
XAUTHORITY="/home/m4110c/.Xauthority"
XDG_CONFIG_DIRS="/etc/xdg"
XDG_DATA_DIRS="/usr/local/share:/usr/share"
XDG_SESSION_COOKIE="mars-1548761179.504295-1892234846"
XSESSION="i3"
XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
-------------------------------------------------------------------------------------------------------------------------------



The output of "emerge -pqv '=dev-java/swt-3.7.2-r2::gentoo'":

----------------------------------------------------------------
[ebuild  N    ] dev-java/swt-3.7.2-r2  USE="cairo opengl -gnome"
----------------------------------------------------------------


And the complete build log:


----------------------------------------------------------------
 * Package:    dev-java/swt-3.7.2-r2
 * Repository: gentoo
 * Maintainer: [hidden email]
 * USE:        abi_x86_64 amd64 cairo elibc_glibc kernel_linux opengl userland_GNU
 * FEATURES:   preserve-libs sandbox splitdebug userpriv usersandbox
 * Using: oracle-jdk-bin-1.8
>>> Unpacking source...
>>> Unpacking ./src.zip to /var/tmp/portage/dev-java/swt-3.7.2-r2/work
>>> Source unpacked in /var/tmp/portage/dev-java/swt-3.7.2-r2/work
>>> Preparing source in /var/tmp/portage/dev-java/swt-3.7.2-r2/work ...
 * Applying as-needed-and-flag-fixes-3.6.patch ...
 [ ok ]
 * Applying swt-3.7.2-gio_launch-URI.patch ...
 [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/dev-java/swt-3.7.2-r2/work ...
Rewriting attributes
Rewriting ./build.xml
>>> Source configured.
>>> Compiling source in /var/tmp/portage/dev-java/swt-3.7.2-r2/work ...
 * libjawt.so not found in the JDK being used for compilation!
 * ERROR: dev-java/swt-3.7.2-r2::gentoo failed (compile phase):
 *   cannot build AWT library
 *
 * Call stack:
 *     ebuild.sh, line 124:  Called src_compile
 *   environment, line 4008:  Called die
 * The specific snippet of code:
 *                   die "cannot build AWT library";
 *
 * If you need support, post the output of `emerge --info '=dev-java/swt-3.7.2-r2::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-java/swt-3.7.2-r2::gentoo'`.
!!! When you file a bug report, please include the following information:
GENTOO_VM=oracle-jdk-bin-1.8  CLASSPATH="" JAVA_HOME="/opt/oracle-jdk-bin-1.8.0.202"
JAVACFLAGS="-source 1.4 -target 1.4" COMPILER=""
and of course, the output of emerge --info =swt-3.7.2
 * The complete build log is located at '/var/tmp/portage/dev-java/swt-3.7.2-r2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-java/swt-3.7.2-r2/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-java/swt-3.7.2-r2/work'
 * S: '/var/tmp/portage/dev-java/swt-3.7.2-r2/work'
----------------------------------------------------------------



Thanks in advance for any help provided!


--
m4110c

mailto: [hidden email]


Reply | Threaded
Open this post in threaded view
|

Re: Android ADB emerge fails on amd64

Nikos Chantziaras-2
On 29/01/2019 14:31, m4110c wrote:
> Hi all,
>
> I'm trying to install the Android Tools to use "adb" with my phone on
> gentoo.
>
> When I try to install android-sdk-update-manager it fails on compiling
> its dependency dev-java/swt-3.7.2-r2.

Probably not the answer you want, but I gave up on the Android stuff
from portage. I installed the Android Studio package from Google instead
which has everything that's needed bundled with it.


Reply | Threaded
Open this post in threaded view
|

Re: Android ADB emerge fails on amd64

malloc1337
Thus spoke Nikos Chantziaras ([hidden email]):

>
> Probably not the answer you want, but I gave up on the Android stuff from
> portage. I installed the Android Studio package from Google instead which
> has everything that's needed bundled with it.
>

Not necessarily. I think the answer is quite valuable. I did not think
of this but I'll try it.

Thanks for the hint and sry for the noise

greetz

--
m4110c

mailto: [hidden email]


Reply | Threaded
Open this post in threaded view
|

Re: Android ADB emerge fails on amd64

Andrew Udvare
In reply to this post by malloc1337


> On Jan 29, 2019, at 07:31, m4110c <[hidden email]> wrote:
>
> Hi all,
>
> I'm trying to install the Android Tools to use "adb" with my phone on
> gentoo.
>
> When I try to install android-sdk-update-manager it fails on compiling
> its dependency dev-java/swt-3.7.2-r2.
>
> The output of "emerge --info '=dev-java/swt-3.7.2-r2::gentoo'":

Choose another JDK with 'eselect java-vm set system ...'. You might need to install another like icedtea or Oracle's version.

Reply | Threaded
Open this post in threaded view
|

Re: Android ADB emerge fails on amd64

malloc1337
Thus spoke Andrew Udvare ([hidden email]):
>
> Choose another JDK with 'eselect java-vm set system ...'. You might need to install another like icedtea or Oracle's version.
>

I use Oracle JDK 1.8. I thought maybe I need a 32bit JDK, because it
installed some dependencies with the abi_x86_32 use flag.

How would that work then. Do I have to switch (eselect) JDKs whenever I want to
use Android ADB stuff?

--
m4110c

mailto: [hidden email]


Reply | Threaded
Open this post in threaded view
|

Re: Android ADB emerge fails on amd64

Andrew Udvare


> On Jan 29, 2019, at 08:12, m4110c <[hidden email]> wrote:
>
> Thus spoke Andrew Udvare ([hidden email]):
>>
>> Choose another JDK with 'eselect java-vm set system ...'. You might need to install another like icedtea or Oracle's version.
>>
>
> I use Oracle JDK 1.8. I thought maybe I need a 32bit JDK, because it
> installed some dependencies with the abi_x86_32 use flag.
>
> How would that work then. Do I have to switch (eselect) JDKs whenever I want to
> use Android ADB stuff?

Without other configuration, any Gentoo setup can only have one JVM going (one for system and one for local user). So if you have apps that are incompatible between JVMs you will have to switch every time.

I'm not sure ADB is a Java app, but I think it's not, so you don't have to switch just for ADB.

The Android SDK binary distribution comes with its own copy of the JDK IIRC, if you want to go with that.

Reply | Threaded
Open this post in threaded view
|

Re: Android ADB emerge fails on amd64

malloc1337

Thus spoke Andrew Udvare ([hidden email]):
>
> I'm not sure ADB is a Java app, but I think it's not, so you don't have to switch just for ADB.
>

No, only the Android SDK that contains the ADB Tools is a Java app. So I
guess it's only needed to install, not for ADB usage.

>
> The Android SDK binary distribution comes with its own copy of the JDK IIRC, if you want to go with that.
>

I did that, worked like a charm.

Thanks guys, see you around...

--
m4110c

mailto: [hidden email]


Reply | Threaded
Open this post in threaded view
|

Re: Android ADB emerge fails on amd64

Neil Bothwick
In reply to this post by malloc1337
On Tue, 29 Jan 2019 13:31:38 +0100, m4110c wrote:

> I'm trying to install the Android Tools to use "adb" with my phone on
> gentoo.
>
> When I try to install android-sdk-update-manager it fails on compiling
> its dependency dev-java/swt-3.7.2-r2.

If you only want adb and friends, rather than the full SDK, emerge
dev-util/android-tools instead.


--
Neil Bothwick

"We demand rigidly defined areas of doubt and uncertainty!"

attachment0 (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Android ADB emerge fails on amd64

malloc1337
Thus spoke Neil Bothwick ([hidden email]):
>
> If you only want adb and friends, rather than the full SDK, emerge
> dev-util/android-tools instead.
>

I did not think of that, but the Gentoo Wiki on Android/ADB suggests
that the full android-sdk-update-manager package is a prerequisite for
dev-util/android-tools.

see: https://wiki.gentoo.org/wiki/Android/adb


--
malloc1337

mailto: [hidden email]


Reply | Threaded
Open this post in threaded view
|

Re: Android ADB emerge fails on amd64

Neil Bothwick
On Wed, 30 Jan 2019 02:34:09 +0100, malloc1337 wrote:

> > If you only want adb and friends, rather than the full SDK, emerge
> > dev-util/android-tools instead.
> >  
>
> I did not think of that, but the Gentoo Wiki on Android/ADB suggests
> that the full android-sdk-update-manager package is a prerequisite for
> dev-util/android-tools.
>
> see: https://wiki.gentoo.org/wiki/Android/adb

It does read that way, but it is not so:

% qlist -ICv android
dev-util/android-tools-9.0.0_p3

No SDK installed here.


--
Neil Bothwick

Few women admit their age. Few men act theirs.

attachment0 (849 bytes) Download Attachment